<?php

namespace PHPNative\Ui\Widget;

class MenuItem extends Button
{
    public function __construct(string $text, callable $onClick, string $style = '')
    {
        parent::__construct($text, 'px-4 text py-2 hover:bg-gray-100 text-left w-full ' . $style, $onClick);
    }

    public function handleMouseMove(float $mouseX, float $mouseY): void
    {
        parent::handleMouseMove($mouseX, $mouseY);
    }
}
